fonte=love.graphics.newFont("fontes/pixelart.ttf",14)
fonteGrande=love.graphics.newFont("fontes/pixelart.ttf",20)
fonteMuitoGrande=love.graphics.newFont("fontes/pixelart.ttf",40)

love.graphics.setFont(fonte)

altura=love.graphics.getHeight()
largura=love.graphics.getWidth()



function drawHud(self)
	--drawInfo(self)
	drawPontos()
	drawVidaAsteroide()
end

function drawInfo(self)
	love.graphics.print("fps",30,10)
	love.graphics.print(love.timer.getFPS(),10,10)
	love.graphics.print("tempo    "..tempo,10,30)
	love.graphics.print("inimigos "..#inimigos,10,50)
	love.graphics.print("tiros  "..#tiros,10,70)
	love.graphics.print("angulo   "..player.angulo,10,90)
	love.graphics.rectangle("fill",largura-120,10,self.vida/5,10)
	love.graphics.setColor(255,0,0)
	love.graphics.print(self.vida,largura-150,10)
	love.graphics.setColor(255,255,255)
end

function drawPontos()
	love.graphics.print("points"..player.pontos,love.graphics.getWidth()-150,50)
end

function drawVidaAsteroide()
	love.graphics.print(asteroide.vida,centro.x,centro.y)
end


function criaMainMenu()
	botoesMainMenu={}
	local espaco=10
	local tamanhoX=300
	local tamanhoY=50
	local x=love.graphics.getWidth()/2-tamanhoX/2
	local y=love.graphics.getHeight()/2-tamanhoY/2
	adicionaBotao("Play Demo",x,y,tamanhoX,tamanhoY)
	y=y+tamanhoY+espaco
	adicionaBotao("Options",x,y,tamanhoX,tamanhoY)
	y=y+tamanhoY+espaco
	adicionaBotao("Quit",x,y,tamanhoX,tamanhoY)
end

function adicionaBotao(nome,x,y,tamX,tamY)
	table.insert(botoesMainMenu,{conteudo=nome,x=x,y=y,tamanhoX=tamX,tamanhoY=tamY})
end

function drawMainMenu()
	tamBorda=5
	love.graphics.setFont(fonteMuitoGrande)
	love.graphics.print("Astoroid",centro.x-120,100)
	love.graphics.setFont(fonte)
	for i,v in ipairs(botoesMainMenu) do
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("fill",v.x,v.y,v.tamanhoX,v.tamanhoY)
		love.graphics.setColor(0,0,255)
		love.graphics.rectangle("fill",v.x+tamBorda,v.y+tamBorda,v.tamanhoX-tamBorda*2,v.tamanhoY-tamBorda*2)
		love.graphics.setColor(255,255,255)
		love.graphics.print(v.conteudo,v.x+3*tamBorda,v.y+3*tamBorda)
	end
end

function getClickMainMenu(x,y)
	for i,v in ipairs(botoesMainMenu) do
		if v.x<x and v.x+v.tamanhoX>x then
			if v.y<y and v.y+v.tamanhoY>y then
				clicaMainMenu(v.conteudo)
			end
		end
	end
end

function clicaMainMenu(conteudo)
	print("clicou com conteudo",conteudo)
	if conteudo=="Play Demo" then
		love.mouse.setVisible(false)
		estadoGlobal="jogando"
	end

	if conteudo=="Quit" then
		love.event.quit()
	end

	if conteudo=="Options" then
		estadoGlobal="menuoptions"
	end
end

function criaMenuOptions()
	optionsMenuButtons={}
	local x=10
	local y=100
	local tamX=200
	local tamY=50
	local espaco=10
	table.insert(optionsMenuButtons,{conteudo="toogle full screen",x=x,y=y,tamanhoX=tamX,tamanhoY=tamY})
	y=y+tamY+espaco

	modes = love.graphics.getModes()
	table.sort(modes, function(a, b) return a.width*a.height < b.width*b.height end)

	local x2=250
	local y2=100
	tamY=35
	tamX=130
	for i,v in ipairs(modes) do
		print(love.graphics.getHeight())
		if y2+tamY+espaco>love.graphics.getHeight() then
			y2=100
			x2=x2+tamX+espaco
		end
		table.insert(optionsMenuButtons,{conteudo=v.width.." x "..v.height,resX=v.width,resY=v.height,x=x2,y=y2,tamanhoX=tamX,tamanhoY=tamY})
		y2=y2+tamY+espaco
	end
	tamY=50
	tamX=200

	table.insert(optionsMenuButtons,{conteudo="Main Menu",x=x,y=y,tamanhoX=tamX,tamanhoY=tamY})
end

function drawOptionsMenu()
	local tamBorda=5
	for i,v in ipairs(optionsMenuButtons) do
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("fill",v.x,v.y,v.tamanhoX,v.tamanhoY)
		love.graphics.setColor(0,0,255)
		love.graphics.rectangle("fill",v.x+tamBorda,v.y+tamBorda,v.tamanhoX-tamBorda*2,v.tamanhoY-tamBorda*2)
		love.graphics.setColor(255,255,255)
		love.graphics.print(v.conteudo,v.x+3*tamBorda,v.y+3*tamBorda)
	end
end

function getClickOptionsMenu(x,y)
	for i,v in ipairs(optionsMenuButtons) do
		if v.x<x and v.x+v.tamanhoX>x then
			if v.y<y and v.y+v.tamanhoY>y then
				clicaOptionsMenu(v.conteudo,v)
			end
		end
	end
end

function clicaOptionsMenu(conteudo,v)
	if conteudo=="Main Menu" then
		criaMainMenu()
		estadoGlobal="menu"
		return 0
	end

	if conteudo=="toogle full screen" then
		love.graphics.toggleFullscreen( )
	else
		love.graphics.setMode(v.resX,v.resY)
		print(love.graphics.getHeight())
		criaMenuOptions()
		getCentro()
	end
end

function getCentro()
	centro=
	{
		x=love.graphics.getWidth()/2,
		y=love.graphics.getHeight()/2
	}
	distPadrao=(math.sqrt((love.graphics.getHeight())^2+(love.graphics.getWidth())^2)/2)
end	
criaMainMenu()