eventQueue={}
estado="idle"
function drawFala(personagem,texto)
	if estado=="mostrando fala" then
		local tamanhoCaixa=150
		local tamBordaCaixa=5
		love.graphics.setFont(fonteGrande)
		love.graphics.setColor(255,255,255)
		love.graphics.rectangle("fill",0,love.graphics.getHeight()-tamanhoCaixa,love.graphics.getWidth(),tamanhoCaixa)
		love.graphics.setColor(0,0,120)
		love.graphics.rectangle("fill",tamBordaCaixa,love.graphics.getHeight()-tamanhoCaixa+tamBordaCaixa,love.graphics.getWidth()-tamBordaCaixa*2,tamanhoCaixa-tamBordaCaixa*2)
		love.graphics.setColor(255,255,255)
		love.graphics.printf(texto,tamBordaCaixa*2,love.graphics.getHeight()-tamanhoCaixa+tamBordaCaixa*2,love.graphics.getWidth()-tamBordaCaixa*2)
		love.graphics.setFont(fonte)
	end
end

function passaFala(key)
	if key=="return" then
		estado="idle"
	end
end

function jogaArcade(tempoArcade,dt)
	if estado=="arcade" then
		if not iniciado then 
			tempoRodando=0
			iniciado=true
		else
			arcade(1,1)
			tempoRodando=tempoRodando+dt
			if tempoRodando>=tonumber(tempoArcade) then
				estado="idle"
				iniciado=false
			end
		end
	end
end

function arcade(porspawn,intervalo)
	if math.floor(tempo)%intervalo==0 and math.floor(tempo)~=ultimospawn then
		for cont=0,porspawn do
			spawnInimigo(todosNomes[math.random(#todosNomes)],distPadrao,math.random(360))
		end
	end
	ultimospawn=math.floor(tempo)
end

function organizer(dt)
	if estado=="idle" then
		if #inimigos~=0 then
			return 0
		end
		table.remove(eventQueue,1)
		if #eventQueue>0 then
			print("novo evento",eventQueue[1].tipo)
		else
			print("level completo")
			love.event.quit()
			return 0
		end
	end

	if eventQueue[1].tipo=="arcade" then
		estado="arcade"
		jogaArcade(eventQueue[1].tempo,dt)
		return 0
	end

	if eventQueue[1].tipo=="fala" then
		estado="mostrando fala"
		falaAtual=eventQueue[1].conteudo
		return 0
	end

	if eventQueue[1].tipo=="boss" then
		
		return 0
	end
end

function readLevel(level)
	table.insert(eventQueue,"nada")
	for linha in love.filesystem.lines("levels/"..level..".txt") do
		local resto=linha:sub(6)
		if sortType(linha)=="play" then
			print("inserindo play na queue de",resto)
			table.insert(eventQueue,{tipo="arcade",tempo=resto})
		else
			if sortType(linha)=="fala" then
				print("inserindo fala",resto)
				table.insert(eventQueue,{tipo="fala",conteudo=resto})
			else
				if sortType(linha)=="boss" then
					print("inserindo boss",resto)
					table.insert(eventQueue,{tipo="boss",boss=resto})
				end
			end
		end 
	end
end


function sortType(linha)
	local tipo=linha:sub(1,4)
	if tipo=="play" or tipo=="boss" or tipo=="fala" then
		return tipo
	end
end

function loadAsteroide(nomeAsteroide)
	asteroide={}
	asteroide.grafico=love.graphics.newImage("lmk/imagens/"..nomeAsteroide..".png")
	asteroide.largura=asteroide.grafico:getWidth()
	asteroide.altura=asteroide.grafico:getHeight()
	asteroide.vida=100
end

function drawAsteroide()
	love.graphics.draw(asteroide.grafico,centro.x-asteroide.largura/2,centro.y-asteroide.altura/2)
end