require "HUD"
require "controles"
require "player"
require "tiros"
require "libComportamentos"
require "libInimigos"
require "inimigos"
require "fundo"
require "explosoes"
require "autoSpawns"
require "levelScript"

function love.draw()
	if estadoGlobal=="jogando" then
		drawFundo()
		love.graphics.draw(explosao)
		drawAsteroide()
		--drawHitBox()
		drawTiros()
		drawInimigos()
		drawHud(player)
		love.graphics.draw(nave,player.x,player.y,math.rad(-player.angulo),1,1,13,0)
		love.graphics.draw(alvo,love.mouse.getX(),love.mouse.getY(),0,1,1,25,25)
		if falaAtual~=nil then
			drawFala(nil,falaAtual)
		end
	end
	if estadoGlobal=="menu" then
		drawMainMenu()
	end

	if estadoGlobal=="menuoptions" then
		drawOptionsMenu()
	end

end

function love.load()
	tamanhoPlaneta=60
	todosNomes={}
	for i,v in pairs(inimigosLib) do
		table.insert(todosNomes,i)
	end
	getCentro()
	loadAsteroide("meteoro5maior")
	readLevel("level1")
	estadoGlobal="menu"
	love.mouse.setVisible(true)
	criaMenuOptions()
	
end

function love.keypressed(key)
	if key=="escape"then
		love.event.quit()
	end
	passaFala(key)
end

function love.mousepressed(x,y,button)
	if button=="l" and estadoGlobal=="menu" then
		getClickMainMenu(x,y)
	end

	if button=="l" and estadoGlobal=="menuoptions" then
		getClickOptionsMenu(x,y)
	end
end

function love.update(dt)
	if estadoGlobal=="jogando" then
		updatePlayer(dt)
		updateTiros(dt)
		atualizaControles(dt)
		updateInimigos(dt)
		updateFundo(dt)
		atualizaExplosao(dt)
		updateTempo(dt)
		organizer(dt)
		return 0
	end

end
